Last Comment Bug 735253 - JavaScript Error: "TypeError: calendar is null" {file: "chrome://calendar/content/calendar-task-editing.js" line: 102}
: JavaScript Error: "TypeError: calendar is null" {file: "chrome://calendar/con...
Status: RESOLVED FIXED
:
Product: Calendar
Classification: Client Software
Component: Tasks (show other bugs)
: Trunk
: All All
-- normal (vote)
: 4.0.0.1
Assigned To: Matthew Mecca [:mmecca]
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-13 08:14 PDT by Philipp Kewisch [:Fallen]
Modified: 2015-05-19 06:19 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Fix v1 (1.69 KB, patch)
2015-05-17 11:35 PDT, Matthew Mecca [:mmecca]
philipp: review+
philipp: approval‑calendar‑aurora+
philipp: approval‑calendar‑beta+
Details | Diff | Splinter Review

Description User image Philipp Kewisch [:Fallen] 2012-03-13 08:14:13 PDT
STR:

1. Create a new profile
2. Startup for the first time

Results:

Error: calendar is null
Source file: chrome://calendar/content/calendar-task-editing.js
Line: 134
Comment 1 User image Stefan Sitter 2014-10-22 11:45:18 PDT
Error is reported during mozmill tests, see e.g. https://tbpl.mozilla.org/php/getParsedLog.php?id=50801120&tree=Thunderbird-Trunk
Comment 2 User image aleth [:aleth] 2015-04-29 01:44:21 PDT
Still happens on current new installs.
Comment 3 User image Matthew Mecca [:mmecca] 2015-05-17 11:35:19 PDT
Created attachment 8606753 [details] [diff] [review]
Fix v1

We can safely bail out of the first-run setup for the quick-add task box if the calendar hasn't been created yet, the setup will be triggered again once the calendar is created and set as default.
Comment 4 User image Philipp Kewisch [:Fallen] 2015-05-17 13:27:38 PDT
Comment on attachment 8606753 [details] [diff] [review]
Fix v1

Review of attachment 8606753 [details] [diff] [review]:
-----------------------------------------------------------------

r=philipp
Comment 5 User image Philipp Kewisch [:Fallen] 2015-05-19 05:38:53 PDT
Pushed to comm-central changeset 584a41516306
Comment 6 User image Philipp Kewisch [:Fallen] 2015-05-19 05:41:22 PDT
Backported to releases/comm-aurora changeset 0a2db1c99df9
Comment 7 User image Philipp Kewisch [:Fallen] 2015-05-19 05:56:44 PDT
Backported to releases/comm-beta changeset a6b8669b8746
Comment 8 User image Philipp Kewisch [:Fallen] 2015-05-19 06:19:36 PDT
Backported to releases/comm-beta changeset e5f0f6bc1a36 (THUNDERBIRD_38_VERBRANCH)

Note You need to log in before you can comment on or make changes to this bug.